%global modulename has-values

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-has-values
Version:        1.0.0
Release:        1%{?dist}
Summary:        Returns true if any values exist, false if empty. Works for booleans, functions, numbers, strings, nulls, objects and arrays. 

License:        MIT
URL:            https://github.com/jonschlinkert/has-values
Source0:        https://registry.npmjs.org/has-values/-/has-values-1.0.0.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(is-number) >= 3.0.0 with npmlib(is-number) < 4.0.0))
BuildRequires:  ((npmlib(kind-of) >= 4.0.0 with npmlib(kind-of) < 5.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Returns true if any values exist, false if empty. Works for booleans, functions, numbers, strings, nulls, objects and arrays. 

%package 1.0.0
Summary:        Returns true if any values exist, false if empty. Works for booleans, functions, numbers, strings, nulls, objects and arrays. 


%description 1.0.0
Returns true if any values exist, false if empty. Works for booleans, functions, numbers, strings, nulls, objects and arrays. 

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 1.0.0
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Wed Nov 28 2018 npm2srpm <dshea@redhat.com> - 1.0.0-1
- Package automatically generated by npm2srpm
